/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.nemo.model.common;

import java.beans.ConstructorProperties;
import java.io.Serializable;


/**
 * A unique ID for an operation.
 */
public class OperationId extends UniqueId implements Serializable {
    private static final long serialVersionUID = -8706161668186525977L;

    /**
     * Creates a new instance from a given value.
     *
     * @param value the value
     */
    @ConstructorProperties("value")
    public OperationId(String value) {
        super(value);
    }

    /**
     * Creates a new instance from unique id.
     *
     * @param source unique id
     */
    public OperationId(UniqueId source) {
        super(source);
    }
}

