/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.nemo.model.common;

import com.google.common.testing.EqualsTester;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * Unit tests for {@link UserRoleDescription}.
 */
public class UserRoleDescriptionTest {

    private static final String Description =
            "SomeDescription";
    private static final String OTHER =
            "OtherDescription";

    private UserRoleDescription description;
    private UserRoleDescription copy;
    private UserRoleDescription diff;

    @Test
    public void fromString() {
        description = new UserRoleDescription(Description);
        assertEquals("description not set", Description,
                description.getValue());
    }

    @Test
    public void copyConstructor() {
        description = new UserRoleDescription(Description);
        copy = new UserRoleDescription(description);
        new EqualsTester()
                .addEqualityGroup(description, copy)
                .testEquals();
    }

    @Test
    public void equality() {
        description = new UserRoleDescription(Description);
        copy = new UserRoleDescription(Description);
        diff = new UserRoleDescription(OTHER);
        new EqualsTester()
                .addEqualityGroup(description, copy)
                .addEqualityGroup(diff)
                .testEquals();
    }
}